---
lang: en
title: 'API docs: authorization.enforcer.buildrequest'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.authorization.enforcer.buildrequest.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [Enforcer](./authorization.enforcer.md) &gt; [buildRequest](./authorization.enforcer.buildrequest.md)

## Enforcer.buildRequest() method

Extract the request from authorization context

<b>Signature:</b>

```typescript
buildRequest(authorizationContext: AuthorizationContext): Promise<AuthorizationRequest>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  authorizationContext | <code>AuthorizationContext</code> |  |

<b>Returns:</b>

`Promise<AuthorizationRequest>`


